Namespace
library
Image / Tag
openjdk:21-ea-30
Content Digest
sha256:8ce0819f4c339441f9d3ef528fb675816f0e6dcdb16809e5ccb1c11aca37dd95
Details
Created

2023-07-10 20:48:27 UTC

Size

252 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-21

JAVA_VERSION

21-ea+30

LANG

C.UTF-8

PATH

/usr/java/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e2c03c89dcad02e83fe01768b82c438fcf60b831104614ca96ed5d8df01db295 - 17.02% (42.8 MB)

[#001] sha256:a1589371ef7dbf0bbba39e839420d2a593e729690f3c9a3a1cc86d3cd6b47912 - 5.69% (14.3 MB)

[#002] sha256:9f6f6013b8fc9447fe67d684b41c62470902a1d88c94e2d0eea528f73e52dd0a - 77.3% (194 MB)


History
2023-07-04 02:04:16 UTC

/bin/sh -c #(nop) ADD file:7a7c6d19e1a4f691c6bd96ea6b7568f6cc041fce11298e57d51913b978e9e7e3 in /

2023-07-04 02:04:17 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-07-04 17:47:24 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-07-04 17:48:37 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-21

2023-07-04 17:48:37 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-07-04 17:48:37 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-07-10 20:48:16 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+30

2023-07-10 20:48:27 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_linux-x64_bin.tar.gz'; downloadSha256='c35a1f2906d502e9f75a975165f4c86e29167ca8cc2d9d25b5351b46d90d4ab7'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_linux-aarch64_bin.tar.gz'; downloadSha256='ae690af5ffa639feba3bc04fc804480cdbc40b4099890c9d28dceac8f58f0426'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-07-10 20:48:27 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2023-07-10 19:24:25 UTC

Size

1.51 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-21

JAVA_SHA256

058b77ba0f35accfa2d836fbc074104dce4200f87fadf36b4a790de8216c7d73

JAVA_URL

https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_windows-x64_bin.zip

JAVA_VERSION

21-ea+30


Layers

[#000] sha256:0ce49598e7371c2c318cfa408f639c917d1f43843fb9e0a3316db1ba7fbb14db - 87.76% (1.33 GB)

[#001] sha256:27db350c833f7fe0378bc977cd819c1ffe4133ff02ff69f1531f8ddc552c2366 - 0.0% (1.29 KB)

[#002] sha256:5de10d117b5ef80c7852b0714d37536955d84892882d5f3f97a4d53631493623 - 0.02% (311 KB)

[#003] sha256:4eec6f45c20e189779c1a14ac267c15e9db3eefe85034e40b6f92372759a288a - 0.0% (1.29 KB)

[#004] sha256:bfb14372fe1d2fbfda13afae0e93eb2611308220211945e4daea088ac9989f16 - 0.02% (257 KB)

[#005] sha256:89683b160bbffba14d7f0a898384e1574fd76c2e5974cd071ee03709c3d3acd7 - 0.0% (1.37 KB)

[#006] sha256:10ccb3c9c474808f67cb41e27947a7792953e9dd3d8786055133f43eb36bab69 - 0.0% (1.38 KB)

[#007] sha256:c81a3de8148c92cd13b4cc76e5da8516be4915d9cdec456c5c310f2506871bb0 - 0.0% (1.34 KB)

[#008] sha256:8c5c796e736c7bd3ff65445cde53c12a7cd2d5bacbcb3815a42c5496181a40a9 - 12.2% (189 MB)

[#009] sha256:b408e6a1d3bb37cc413b90f2db4f6e4a0b8af43ec7822b94447f5750a6cf7bce - 0.0% (1.36 KB)


History
2023-06-21 08:51:34 UTC

Apply image 10.0.20348.1787

2023-06-24 00:38:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-06-24 03:03:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-06-24 03:07:27 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-21

2023-06-24 03:07:49 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-07-10 19:23:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=21-ea+30

2023-07-10 19:23:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_windows-x64_bin.zip

2023-07-10 19:23:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=058b77ba0f35accfa2d836fbc074104dce4200f87fadf36b4a790de8216c7d73

2023-07-10 19:24:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-07-10 19:24:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-07-10 19:25:29 UTC

Size

1.72 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-21

JAVA_SHA256

058b77ba0f35accfa2d836fbc074104dce4200f87fadf36b4a790de8216c7d73

JAVA_URL

https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_windows-x64_bin.zip

JAVA_VERSION

21-ea+30


Layers

[#000] sha256:b1471cc22404d036d95728a9c37c1e3f025a1f0a331072c8613e38cf8f7ff1ed - 89.25% (1.54 GB)

[#001] sha256:58717a727cd3a756d7c1180dfb74e95d49735ed12628bd25d2058bc90fa96991 - 0.0% (1.4 KB)

[#002] sha256:64aac08fa1b04894a4c928b70e656c1b7852ba8379bb8fe87ce2a32e04c6af9b - 0.02% (300 KB)

[#003] sha256:f45aa53985d3c6e3bd4fcce6d694b149911e0c5343f6380fd1ec2d15bb1785bc - 0.0% (1.25 KB)

[#004] sha256:09ce23ce645a5dda4243eb19c02651350dc76a2c74b280bc5a856d95aed9c042 - 0.01% (252 KB)

[#005] sha256:069679fd74693991dc7da9137157920c86b63d9655a65ba8549ccbef88630090 - 0.0% (1.38 KB)

[#006] sha256:dc9db3ffd65c46ee253d32b097f0b6563fdd132cd61582046debcf572688fca7 - 0.0% (1.38 KB)

[#007] sha256:7adb376df838f8ced4503688f3c04084485447063b8a31d6f0895b23adbd4a7c - 0.0% (1.36 KB)

[#008] sha256:20111e7dcb0c61014b06b1b8a3f43b067af44af5b0d9b40d72f97fa877183451 - 10.72% (189 MB)

[#009] sha256:fe992742a8e852dfbf5cdea68104603ce4f3419ccaf88334b8e01f2502f4a79a - 0.0% (1.36 KB)


History
2023-06-21 08:47:17 UTC

Apply image 10.0.17763.4499

2023-06-24 00:40:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-06-24 03:05:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-06-24 03:08:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-21

2023-06-24 03:09:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-07-10 19:24:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=21-ea+30

2023-07-10 19:24:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_windows-x64_bin.zip

2023-07-10 19:24:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=058b77ba0f35accfa2d836fbc074104dce4200f87fadf36b4a790de8216c7d73

2023-07-10 19:25:28 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-07-10 19:25:29 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-07-10 21:34:49 UTC

Size

249 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-21

JAVA_VERSION

21-ea+30

LANG

C.UTF-8

PATH

/usr/java/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:29e800056b7e3d5007df41c0ad55416bb45d5863affcf39316c5755e71b20a30 - 16.67% (41.6 MB)

[#001] sha256:7f4e6eec249ed9ec194f18c4c5eda620b32132cc41a2083ec5505ff863774f15 - 6.0% (15 MB)

[#002] sha256:b0650ecd544fbbbba1e9a109f0db9d9134246711f7bc18fa9d232dd76f685cb8 - 77.33% (193 MB)


History
2023-07-04 00:52:20 UTC

/bin/sh -c #(nop) ADD file:1313260ee8b32fa94bcf06c44034cd7e4f9baf44c7df9e74facfe21323b37292 in /

2023-07-04 00:52:21 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-07-04 01:17:20 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-07-04 01:18:57 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-21

2023-07-04 01:18:57 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-07-04 01:18:57 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-07-10 21:34:37 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+30

2023-07-10 21:34:47 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_linux-x64_bin.tar.gz'; downloadSha256='c35a1f2906d502e9f75a975165f4c86e29167ca8cc2d9d25b5351b46d90d4ab7'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk21/30/GPL/openjdk-21-ea+30_linux-aarch64_bin.tar.gz'; downloadSha256='ae690af5ffa639feba3bc04fc804480cdbc40b4099890c9d28dceac8f58f0426'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-07-10 21:34:49 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete